Package org.h2.security.auth

# Class AuthenticationInfo

java.lang.Object
org.h2.security.auth.AuthenticationInfo

public class AuthenticationInfo extends Object
Input data for authenticators; it wraps ConnectionInfo

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationInfo(ConnectionInfo connectionInfo)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clean()`
Clean authentication data.
`ConnectionInfo`
`getConnectionInfo()`
`String`
`getFullyQualifiedName()`
`Object`
`getNestedIdentity()`
Gets nested identity object that can be used by authenticator to hold information.
`String`
`getPassword()`
`String`
`getRealm()`
`String`
`getUserName()`
`void`
`setNestedIdentity(Object nestedIdentity)`
Method used by authenticators to hold information about authenticated user

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationInfo

public AuthenticationInfo(ConnectionInfo connectionInfo)

## Method Details

### getUserName

public String getUserName()

### getRealm

public String getRealm()

### getPassword

public String getPassword()

### getConnectionInfo

public ConnectionInfo getConnectionInfo()

### getFullyQualifiedName

public String getFullyQualifiedName()

### getNestedIdentity

public Object getNestedIdentity()
Gets nested identity object that can be used by authenticator to hold information.

Returns:
  nested identity object.

### setNestedIdentity

public void setNestedIdentity(Object nestedIdentity)
Method used by authenticators to hold information about authenticated user

Parameters:
  `nestedIdentity` - = nested identity object

### clean

public void clean()
Clean authentication data.